# pydicom.values.convert_text

pydicom.values.convert_text(byte_string: bytes, encodings: Optional[List[str]] = None) → Union[str, MutableSequence[str]]

  Return a decoded text VR value, ignoring backslashes.

  Text VRs are ‘SH’, ‘LO’ and ‘UC’.

  Parameters

    - byte_string (bytes) – The encoded text VR element value.

    - encodings (list of str, optional) – A list of the character encoding schemes used to encode the value.

  Returns

    The decoded value(s).

  Return type

    str or list of str